@charset "UTF-8";
/**
 * RWTH theme for reveal.js. 
 *
 * Christian Rohlfing, improved by Stefan Lankes
 */

@import url(../../lib/font/source-sans-pro/source-sans-pro.css);
:root {
  --rwth-blue: #00549F;
  --rwth-blue-75: #407FB7;
  --rwth-blue-50: #8EBAE5;
  --rwth-blue-25: #C7DDF2;
  --rwth-blue-10: #E8F1FA;
  --rwth-black: #000;
  --rwth-black-75: #646567;
  --rwth-black-50: #9C9E9F;
  --rwth-black-25: #CFD1D2;
  --rwth-black-10: #ECEDED;
  --rwth-magenta: #E30066;
  --rwth-magenta-75: #E96088;
  --rwth-magenta-50: #F19EB1;
  --rwth-magenta-25: #F9D2DA;
  --rwth-magenta-10: #FDEEF0;
  --rwth-yellow: #FFED00;
  --rwth-yellow-75: #FFF055;
  --rwth-yellow-50: #FFF59B;
  --rwth-yellow-25: #FFFAD1;
  --rwth-yellow-10: #FFFDEE;
  --rwth-petrol: #006165;
  --rwth-petrol-75: #2D7F83;
  --rwth-petrol-50: #7DA4A7;
  --rwth-petrol-25: #BFD0D1;
  --rwth-petrol-10: #E6ECEC;
  --rwth-turquoise: #0098A1;
  --rwth-turquoise-75: #00B1B7;
  --rwth-turquoise-50: #89CCCF;
  --rwth-turquoise-25: #CAE7E7;
  --rwth-turquoise-10: #EBF6F6;
  --rwth-green: #57AB27;
  --rwth-green-75: #8DC060;
  --rwth-green-50: #B8D698;
  --rwth-green-25: #DDEBCE;
  --rwth-green-10: #F2F7EC;
  --rwth-peagreen: #BDCD00;
  --rwth-peagreen-75: #D0D95C;
  --rwth-peagreen-50: #E0E69A;
  --rwth-peagreen-25: #F0F3D0;
  --rwth-peagreen-10: #F9FAED;
  --rwth-orange:   #F6A800;
  --rwth-orange-75:   #FABE50;
  --rwth-orange-50:   #FDD48F;
  --rwth-orange-25:   #FEEAC9;
  --rwth-orange-10:   #FFF7EA;
  --rwth-red:   #CC071E;
  --rwth-red-75:   #D85C41;
  --rwth-red-50:   #E69679;
  --rwth-red-25:   #F3CDBB;
  --rwth-red-10:   #FAEBE3; }

.reveal a {
  line-height: 1.25em; }

.reveal {
  line-height: 1.2777777; }

.reveal .slides {
  text-align: left; }

.no-title-footer .footer-main,
.no-title-footer .slide-number {
  opacity: 0;
  transition: opacity 800ms ease-in-out; }

.no-progressbar .progress {
  opacity: 0;
  transition: opacity 800ms ease-in-out; }

.reveal footer {
  font-size: .5em;
  position: fixed;
  bottom: 0;
  height: 2.27cm;
  left: 0%;
  width: 100%;
  padding: 0em;
  border-top: 0.5pt solid #000; }

.reveal footer .footer-main {
  color: #00549F;
  padding: 0;
  padding-top: 0.54cm;
  line-height: 1.25; }

.reveal footer img {
  float: right;
  height: 2.27cm;
  max-height: 2.27cm;
  margin: 0;
  margin-right: -0.34cm; }

.reveal .slide-number {
  float: left;
  padding-top: 0.54cm;
  width: 5em;
  text-align: left;
  font-family: "Helvetica", "Arial", sans-serif;
  color: #00549F;
  background-color: transparent;
  position: initial; }

.reveal .progress {
  height: 10px;
  top: 0px;
  background-color: #ECEDED; }

.reveal .slides section .highlight-red {
  color: #000; }

.reveal .slides section .highlight-green {
  color: #000; }

.reveal .slides section .highlight-blue {
  color: #000; }

.reveal .slides section .fragment.highlight-red.visible {
  color: #CC071E; }

.reveal .slides section .fragment.highlight-green.visible {
  color: #57AB27; }

.reveal .slides section .fragment.highlight-blue.visible {
  color: #00549F; }

.reveal .slides section .fragment.highlight-current-red.current-fragment {
  color: #CC071E; }

.reveal .slides section .fragment.highlight-current-green.current-fragment {
  color: #57AB27; }

.reveal .slides section .fragment.highlight-current-blue.current-fragment {
  color: #00549F; }

/*********************************************
 * GLOBAL STYLES
 *********************************************/
.demo {
    width:100%;
}
.demo div{
    padding:10px;
}

.demo div span{
    display:block;
}

.demo div textarea {
    float: left;
    margin-left: 4em;
    box-sizing: border-box;
    width:80%;
    border:2px solid black;
    min-height:50px;
    font-size: 16px;
}

.demo div button {
    font-size: 20px;
}

:root {
  --background-color: #fff;
  --main-font: Helvetica, Arial, sans-serif;
  --main-font-size: 18pt;
  --main-color: #000;
  --block-margin: 20px;
  --heading-margin: 0 0 20px 0;
  --heading-font: Helvetica, Arial, sans-serif;
  --heading-color: #00549F;
  --heading-line-height: 1.2;
  --heading-letter-spacing: normal;
  --heading-text-transform: none;
  --heading-text-shadow: none;
  --heading-font-weight: bold;
  --heading1-text-shadow: none;
  --heading1-size: 1.6em;
  --heading2-size: 1.1em;
  --heading3-size: 1.1em;
  --heading4-size: 1em;
  --code-font: monospace;
  --link-color: #00549F;
  --link-color-hover: #407FB7;
  --selection-background-color: #ECEDED;
  --selection-color: #fff; }

.reveal-viewport {
  background: #fff;
  background-color: #fff; }

.reveal {
  font-family: "Helvetica", "Arial", sans-serif;
  font-size: 18pt;
  font-weight: normal;
  color: #000; }

.reveal ::selection {
  color: #fff;
  background: #ECEDED;
  text-shadow: none; }

.reveal ::-moz-selection {
  color: #fff;
  background: #ECEDED;
  text-shadow: none; }

.reveal .slides section,
.reveal .slides section > section {
  line-height: 1.3;
  font-weight: inherit; }

/*********************************************
 * HEADERS
 *********************************************/
.reveal h1,
.reveal h2,
.reveal h3,
.reveal h4,
.reveal h5,
.reveal h6 {
  margin: 0 0 20px 0;
  color: #00549F;
  font-family: "Helvetica", "Arial", sans-serif;
  font-weight: bold;
  line-height: 1.2;
  letter-spacing: normal;
  text-transform: none;
  text-shadow: none;
  word-wrap: break-word; }

.reveal h1 {
  font-size: 1.6em; }

.reveal h2 {
  font-size: 1.1em; }

.reveal h3 {
  font-size: 1.1em; }

.reveal h4 {
  font-size: 1em; }

.reveal h1 {
  text-shadow: none; }

/*********************************************
 * OTHER
 *********************************************/
.reveal p {
  margin: 20px 0;
  line-height: 1.3; }


/* Remove trailing margins after titles */
.reveal h1:last-child,
.reveal h2:last-child,
.reveal h3:last-child,
.reveal h4:last-child,
.reveal h5:last-child,
.reveal h6:last-child {
  margin-bottom: 0; }

/* Ensure certain elements are never larger than the slide itself */
.reveal img,
.reveal video,
.reveal iframe {
  max-width: 95%;
  max-height: 95%;
  display: block;
  margin-left: auto;
  margin-right: auto; }

.reveal strong,
.reveal b {
  font-weight: bold; }

.reveal em {
  font-style: italic; }

.reveal ol,
.reveal dl,
.reveal ul {
  display: inline-block;
  text-align: left;
  margin: 0 0 0 1em; }

.reveal ol {
  list-style-type: decimal; }

.reveal ul {
  list-style-type: disc; }

.reveal ul ul {
  list-style-type: square; }

.reveal ul ul ul {
  list-style-type: circle; }

.reveal ul ul,
.reveal ul ol,
.reveal ol ol,
.reveal ol ul {
  display: block;
  margin-left: 40px; }

.reveal dt {
  font-weight: bold; }

.reveal dd {
  margin-left: 40px; }

.reveal blockquote {
  display: block;
  position: relative;
  width: 70%;
  margin: 20px auto;
  padding: 5px;
  font-style: italic;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.2); }

.reveal blockquote p:first-child,
.reveal blockquote p:last-child {
  display: inline-block; }

.reveal q {
  font-style: italic; }

.reveal pre {
  display: block;
  position: relative;
  width: 90%;
  margin: 20px auto;
  text-align: left;
  font-size: 0.55em;
  font-family: monospace;
  line-height: 1.2em;
  word-wrap: break-word;
  box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.15); }

.reveal code {
  font-family: monospace;
  text-transform: none; }

.reveal pre code {
  display: block;
  padding: 5px;
  overflow: auto;
  max-height: 400px;
  word-wrap: normal; }

.reveal table {
  margin: auto;
  border-collapse: collapse;
  border-spacing: 0; }

.reveal table th {
  font-weight: bold; }

.reveal table th,
.reveal table td {
  text-align: left;
  padding: 0.2em 0.5em 0.2em 0.5em;
  border-bottom: 1px solid; }

.reveal table th[align="center"],
.reveal table td[align="center"] {
  text-align: center; }

.reveal table th[align="right"],
.reveal table td[align="right"] {
  text-align: right; }

.reveal table tbody tr:last-child th,
.reveal table tbody tr:last-child td {
  border-bottom: none; }

.reveal sup {
  vertical-align: super;
  font-size: smaller; }

.reveal sub {
  vertical-align: sub;
  font-size: smaller; }

.reveal small {
  display: inline-block;
  font-size: 0.6em;
  line-height: 1.2em;
  vertical-align: top; }

.reveal small * {
  vertical-align: top; }

.reveal img {
  margin: 0px 0;
  display: block;
  margin-left: auto;
  margin-right: auto; }

/*********************************************
 * LINKS
 *********************************************/
.reveal a {
  color: #00549F;
  text-decoration: none;
  transition: color .15s ease; }

.reveal a:hover {
  color: #407FB7;
  text-shadow: none;
  border: none; }

.reveal .roll span:after {
  color: #fff;
  background: #002c53; }

/*********************************************
 * Frame helper
 *********************************************/
.reveal .r-frame {
  border: 4px solid #000;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15); }

.reveal a .r-frame {
  transition: all .15s linear; }

.reveal a:hover .r-frame {
  border-color: #00549F;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.55); }

/*********************************************
 * NAVIGATION CONTROLS
 *********************************************/
.reveal .controls {
  color: #00549F; }

/*********************************************
 * PROGRESS BAR
 *********************************************/
.reveal .progress {
  background: rgba(0, 0, 0, 0.2);
  color: #00549F; }

/*********************************************
 * PRINT BACKGROUND
 *********************************************/
@media print {
  .backgrounds {
    background-color: #fff; } }

.reveal h1 {
  margin-top: 5em; }

.reveal h2 {
  border-bottom: 0.5pt solid #000; }

.reveal h3 {
  color: #000;
  font-weight: normal; }

.reveal ul, .reveal ul ul, .reveal ul ul ul {
  list-style: none;
  list-style-position: outside;
  #padding: 0;
  #margin: 0;
}

.reveal ul li {
  line-height: 2;
  list-style-position: outside;
}

.reveal ul li::before {
  content: "• ";
  color: #00549F;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

.reveal ul li>p {
  display: inline;
}

.reveal ul ul li {
  line-height: 1.5;
  list-style-position: outside;
}

.reveal ul ul li::before {
  content: "‒ ";
  color: #00549F;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

.reveal ul ul ul li::before {
  content: "▪ ";
  color: #00549F;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

.reveal ol {
  list-style: none;
  list-style-position: outside;
  counter-reset: li;
  #padding: 0;
  #margin: 0;
}

.reveal ol li::before {
  content: counter(li) ". ";
  color: #00549F;
}

.reveal ol li {
  counter-increment: li;
}

.reveal table th,
.reveal table td {
  border-bottom: none;
}

.reveal table thead td,
.reveal table thead th {
  border-top: 1px solid black;
  border-bottom: 1px solid black;
}

.reveal table tbody tr:last-child th,
.reveal table tbody tr:last-child td {
  border-bottom: 1px solid black;
}
